<nav class="navbar navbar-light navbar-expand-md bg-light">
    <a class="navbar-brand logo" routerLink="/" (click)="collapseNavbar()">
        <span class="logo-img"></span>
        <span jhiTranslate="global.title" class="navbar-title">Tfs_backend</span> <span class="navbar-version">{{ version }}</span>
    </a>
    <a class="navbar-toggler d-lg-none" href="javascript:void(0);" data-toggle="collapse" data-target="#navbarResponsive" aria-controls="navbarResponsive" aria-expanded="false" aria-label="Toggle navigation" (click)="toggleNavbar()">
        <fa-icon icon="bars"></fa-icon>
    </a>
    <div class="navbar-collapse collapse" id="navbarResponsive" [ngbCollapse]="isNavbarCollapsed" [ngSwitch]="isAuthenticated()">
        <ul class="navbar-nav ml-auto">
            <li class="nav-item" routerLinkActive="active" [routerLinkActiveOptions]="{ exact: true }">
                <a class="nav-link" routerLink="/" (click)="collapseNavbar()">
                    <span>
                        <fa-icon icon="home"></fa-icon>
                        <span jhiTranslate="global.menu.home">Home</span>
                    </span>
                </a>
            </li>
            <!-- jhipster-needle-add-element-to-menu - JHipster will add new menu items here -->
            <li *ngSwitchCase="true" ngbDropdown class="nav-item dropdown pointer" display="dynamic" routerLinkActive="active" [routerLinkActiveOptions]="{ exact: true }">
                <a class="nav-link dropdown-toggle" ngbDropdownToggle href="javascript:void(0);" id="entity-menu">
                    <span>
                        <fa-icon icon="th-list"></fa-icon>
                        <span jhiTranslate="global.menu.entities.main">
                            Entities
                        </span>
                    </span>
                </a>
                <ul class="dropdown-menu" ngbDropdownMenu aria-labelledby="entity-menu">
                    <li>
                        <a class="dropdown-item" routerLink="request" routerLinkActive="active" [routerLinkActiveOptions]="{ exact: true }" (click)="collapseNavbar()">
                            <fa-icon icon="asterisk" [fixedWidth]="true"></fa-icon>
                            <span jhiTranslate="global.menu.entities.request">Request</span>
                        </a>
                    </li>
                    <li>
                        <a class="dropdown-item" routerLink="faq" routerLinkActive="active" [routerLinkActiveOptions]="{ exact: true }" (click)="collapseNavbar()">
                            <fa-icon icon="asterisk" [fixedWidth]="true"></fa-icon>
                            <span jhiTranslate="global.menu.entities.faq">Faq</span>
                        </a>
                    </li>
                    <li>
                        <a class="dropdown-item" routerLink="offer" routerLinkActive="active" [routerLinkActiveOptions]="{ exact: true }" (click)="collapseNavbar()">
                            <fa-icon icon="asterisk" [fixedWidth]="true"></fa-icon>
                            <span jhiTranslate="global.menu.entities.offer">Offer</span>
                        </a>
                    </li>
                    <li>
                        <a class="dropdown-item" routerLink="activity" routerLinkActive="active" [routerLinkActiveOptions]="{ exact: true }" (click)="collapseNavbar()">
                            <fa-icon icon="asterisk" [fixedWidth]="true"></fa-icon>
                            <span jhiTranslate="global.menu.entities.activity">Activity</span>
                        </a>
                    </li>
                    <li>
                        <a class="dropdown-item" routerLink="adress-info" routerLinkActive="active" [routerLinkActiveOptions]="{ exact: true }" (click)="collapseNavbar()">
                            <fa-icon icon="asterisk" [fixedWidth]="true"></fa-icon>
                            <span jhiTranslate="global.menu.entities.adressInfo">Adress Info</span>
                        </a>
                    </li>
                    <li>
                        <a class="dropdown-item" routerLink="agency" routerLinkActive="active" [routerLinkActiveOptions]="{ exact: true }" (click)="collapseNavbar()">
                            <fa-icon icon="asterisk" [fixedWidth]="true"></fa-icon>
                            <span jhiTranslate="global.menu.entities.agency">Agency</span>
                        </a>
                    </li>
                    <li>
                        <a class="dropdown-item" routerLink="bank-account" routerLinkActive="active" [routerLinkActiveOptions]="{ exact: true }" (click)="collapseNavbar()">
                            <fa-icon icon="asterisk" [fixedWidth]="true"></fa-icon>
                            <span jhiTranslate="global.menu.entities.bankAccount">Bank Account</span>
                        </a>
                    </li>
                    <li>
                        <a class="dropdown-item" routerLink="category" routerLinkActive="active" [routerLinkActiveOptions]="{ exact: true }" (click)="collapseNavbar()">
                            <fa-icon icon="asterisk" [fixedWidth]="true"></fa-icon>
                            <span jhiTranslate="global.menu.entities.category">Category</span>
                        </a>
                    </li>
                    <li>
                        <a class="dropdown-item" routerLink="detail-offer" routerLinkActive="active" [routerLinkActiveOptions]="{ exact: true }" (click)="collapseNavbar()">
                            <fa-icon icon="asterisk" [fixedWidth]="true"></fa-icon>
                            <span jhiTranslate="global.menu.entities.detailOffer">Detail Offer</span>
                        </a>
                    </li>
                    <li>
                        <a class="dropdown-item" routerLink="financial-info" routerLinkActive="active" [routerLinkActiveOptions]="{ exact: true }" (click)="collapseNavbar()">
                            <fa-icon icon="asterisk" [fixedWidth]="true"></fa-icon>
                            <span jhiTranslate="global.menu.entities.financialInfo">Financial Info</span>
                        </a>
                    </li>
                    <li>
                        <a class="dropdown-item" routerLink="governorate" routerLinkActive="active" [routerLinkActiveOptions]="{ exact: true }" (click)="collapseNavbar()">
                            <fa-icon icon="asterisk" [fixedWidth]="true"></fa-icon>
                            <span jhiTranslate="global.menu.entities.governorate">Governorate</span>
                        </a>
                    </li>
                    <li>
                        <a class="dropdown-item" routerLink="municipality" routerLinkActive="active" [routerLinkActiveOptions]="{ exact: true }" (click)="collapseNavbar()">
                            <fa-icon icon="asterisk" [fixedWidth]="true"></fa-icon>
                            <span jhiTranslate="global.menu.entities.municipality">Municipality</span>
                        </a>
                    </li>
                    <li>
                        <a class="dropdown-item" routerLink="personal-info" routerLinkActive="active" [routerLinkActiveOptions]="{ exact: true }" (click)="collapseNavbar()">
                            <fa-icon icon="asterisk" [fixedWidth]="true"></fa-icon>
                            <span jhiTranslate="global.menu.entities.personalInfo">Personal Info</span>
                        </a>
                    </li>
                    <li>
                        <a class="dropdown-item" routerLink="required-doc" routerLinkActive="active" [routerLinkActiveOptions]="{ exact: true }" (click)="collapseNavbar()">
                            <fa-icon icon="asterisk" [fixedWidth]="true"></fa-icon>
                            <span jhiTranslate="global.menu.entities.requiredDoc">Required Doc</span>
                        </a>
                    </li>
                    <li>
                        <a class="dropdown-item" routerLink="required-doc-income" routerLinkActive="active" [routerLinkActiveOptions]="{ exact: true }" (click)="collapseNavbar()">
                            <fa-icon icon="asterisk" [fixedWidth]="true"></fa-icon>
                            <span jhiTranslate="global.menu.entities.requiredDocIncome">Required Doc Income</span>
                        </a>
                    </li>
                    <li>
                        <a class="dropdown-item" routerLink="required-doc-residency" routerLinkActive="active" [routerLinkActiveOptions]="{ exact: true }" (click)="collapseNavbar()">
                            <fa-icon icon="asterisk" [fixedWidth]="true"></fa-icon>
                            <span jhiTranslate="global.menu.entities.requiredDocResidency">Required Doc Residency</span>
                        </a>
                    </li>
                    <li>
                        <a class="dropdown-item" routerLink="monthly-net-income" routerLinkActive="active" [routerLinkActiveOptions]="{ exact: true }" (click)="collapseNavbar()">
                            <fa-icon icon="asterisk" [fixedWidth]="true"></fa-icon>
                            <span jhiTranslate="global.menu.entities.monthlyNetIncome">Monthly Net Income</span>
                        </a>
                    </li>
                    <li>
                        <a class="dropdown-item" routerLink="residency-document" routerLinkActive="active" [routerLinkActiveOptions]="{ exact: true }" (click)="collapseNavbar()">
                            <fa-icon icon="asterisk" [fixedWidth]="true"></fa-icon>
                            <span jhiTranslate="global.menu.entities.residencyDocument">Residency Document</span>
                        </a>
                    </li>
                    <li>
                        <a class="dropdown-item" routerLink="justif-revenu" routerLinkActive="active" [routerLinkActiveOptions]="{ exact: true }" (click)="collapseNavbar()">
                            <fa-icon icon="asterisk" [fixedWidth]="true"></fa-icon>
                            <span jhiTranslate="global.menu.entities.justifRevenu">Justif Revenu</span>
                        </a>
                    </li>
                    <li>
                        <a class="dropdown-item" routerLink="other-residency-file" routerLinkActive="active" [routerLinkActiveOptions]="{ exact: true }" (click)="collapseNavbar()">
                            <fa-icon icon="asterisk" [fixedWidth]="true"></fa-icon>
                            <span jhiTranslate="global.menu.entities.otherResidencyFile">Other Residency File</span>
                        </a>
                    </li>
                    <li>
                        <a class="dropdown-item" routerLink="other-revenu-file" routerLinkActive="active" [routerLinkActiveOptions]="{ exact: true }" (click)="collapseNavbar()">
                            <fa-icon icon="asterisk" [fixedWidth]="true"></fa-icon>
                            <span jhiTranslate="global.menu.entities.otherRevenuFile">Other Revenu File</span>
                        </a>
                    </li>
                    <li>
                        <a class="dropdown-item" routerLink="document" routerLinkActive="active" [routerLinkActiveOptions]="{ exact: true }" (click)="collapseNavbar()">
                            <fa-icon icon="asterisk" [fixedWidth]="true"></fa-icon>
                            <span jhiTranslate="global.menu.entities.document">Document</span>
                        </a>
                    </li>
                    <li>
                        <a class="dropdown-item" routerLink="authentitfication-to-sign" routerLinkActive="active" [routerLinkActiveOptions]="{ exact: true }" (click)="collapseNavbar()">
                            <fa-icon icon="asterisk" [fixedWidth]="true"></fa-icon>
                            <span jhiTranslate="global.menu.entities.authentitficationToSign">Authentitfication To Sign</span>
                        </a>
                    </li>
                    <li>
                        <a class="dropdown-item" routerLink="req-doc-upload" routerLinkActive="active" [routerLinkActiveOptions]="{ exact: true }" (click)="collapseNavbar()">
                            <fa-icon icon="asterisk" [fixedWidth]="true"></fa-icon>
                            <span jhiTranslate="global.menu.entities.reqDocUpload">Req Doc Upload</span>
                        </a>
                    </li>
                    <!-- jhipster-needle-add-entity-to-menu - JHipster will add entities to the menu here -->
                </ul>
            </li>
            <li *jhiHasAnyAuthority="'ROLE_ADMIN'" ngbDropdown class="nav-item dropdown pointer" display="dynamic" routerLinkActive="active" [routerLinkActiveOptions]="{ exact: true }">
                <a class="nav-link dropdown-toggle" ngbDropdownToggle href="javascript:void(0);" id="admin-menu">
                    <span>
                        <fa-icon icon="user-plus"></fa-icon>
                        <span jhiTranslate="global.menu.admin.main">Administration</span>
                    </span>
                </a>
                <ul class="dropdown-menu" ngbDropdownMenu aria-labelledby="admin-menu">
                    <li>
                        <a class="dropdown-item" routerLink="admin/user-management" routerLinkActive="active" (click)="collapseNavbar()">
                            <fa-icon icon="user" [fixedWidth]="true"></fa-icon>
                            <span jhiTranslate="global.menu.admin.userManagement">User management</span>
                        </a>
                    </li>
                    <li>
                        <a class="dropdown-item" routerLink="admin/metrics" routerLinkActive="active" (click)="collapseNavbar()">
                            <fa-icon icon="tachometer-alt" [fixedWidth]="true"></fa-icon>
                            <span jhiTranslate="global.menu.admin.metrics">Metrics</span>
                        </a>
                    </li>
                    <li>
                        <a class="dropdown-item" routerLink="admin/health" routerLinkActive="active" (click)="collapseNavbar()">
                            <fa-icon icon="heart" [fixedWidth]="true"></fa-icon>
                            <span jhiTranslate="global.menu.admin.health">Health</span>
                        </a>
                    </li>
                    <li>
                        <a class="dropdown-item" routerLink="admin/configuration" routerLinkActive="active" (click)="collapseNavbar()">
                            <fa-icon icon="list" [fixedWidth]="true"></fa-icon>
                            <span jhiTranslate="global.menu.admin.configuration">Configuration</span>
                        </a>
                    </li>
                    <li>
                        <a class="dropdown-item" routerLink="admin/audits" routerLinkActive="active" (click)="collapseNavbar()">
                            <fa-icon icon="bell" [fixedWidth]="true"></fa-icon>
                            <span jhiTranslate="global.menu.admin.audits">Audits</span>
                        </a>
                    </li>
                    <li>
                        <a class="dropdown-item" routerLink="admin/logs" routerLinkActive="active" (click)="collapseNavbar()">
                            <fa-icon icon="tasks" [fixedWidth]="true"></fa-icon>
                            <span jhiTranslate="global.menu.admin.logs">Logs</span>
                        </a>
                    </li>
                    <li *ngIf="swaggerEnabled">
                        <a class="dropdown-item" routerLink="admin/docs" routerLinkActive="active" (click)="collapseNavbar()">
                            <fa-icon icon="book" [fixedWidth]="true"></fa-icon>
                            <span jhiTranslate="global.menu.admin.apidocs">API</span>
                        </a>
                    </li>
                    <!-- jhipster-needle-add-element-to-admin-menu - JHipster will add entities to the admin menu here -->
                </ul>
            </li>
            <li ngbDropdown class="nav-item dropdown pointer" display="dynamic" *ngIf="languages && languages.length > 1">
                <a class="nav-link dropdown-toggle" ngbDropdownToggle href="javascript:void(0);" id="languagesnavBarDropdown">
                    <span>
                        <fa-icon icon="flag"></fa-icon>
                        <span jhiTranslate="global.menu.language">Language</span>
                    </span>
                </a>
                <ul class="dropdown-menu" ngbDropdownMenu aria-labelledby="languagesnavBarDropdown">
                    <li *ngFor="let language of languages">
                        <a class="dropdown-item" [jhiActiveMenu]="language" href="javascript:void(0);" (click)="changeLanguage(language);collapseNavbar();">{{ language | findLanguageFromKey }}</a>
                    </li>
                </ul>
            </li>
            <li ngbDropdown class="nav-item dropdown pointer" display="dynamic" routerLinkActive="active" [routerLinkActiveOptions]="{ exact: true }">
                <a class="nav-link dropdown-toggle" ngbDropdownToggle href="javascript:void(0);" id="account-menu">
                    <span *ngIf="!getImageUrl()">
                        <fa-icon icon="user"></fa-icon>
                        <span jhiTranslate="global.menu.account.main">
                            Account
                        </span>
                    </span>
                    <span *ngIf="getImageUrl()">
                        <img [src]="getImageUrl()" class="profile-image rounded-circle" alt="Avatar">
                    </span>
                </a>
                <ul class="dropdown-menu" ngbDropdownMenu aria-labelledby="account-menu">
                    <li *ngSwitchCase="true">
                        <a class="dropdown-item" routerLink="account/settings" routerLinkActive="active" (click)="collapseNavbar()">
                            <fa-icon icon="wrench" [fixedWidth]="true"></fa-icon>
                            <span jhiTranslate="global.menu.account.settings">Settings</span>
                        </a>
                    </li>
                    <li *ngSwitchCase="true">
                        <a class="dropdown-item" routerLink="account/password" routerLinkActive="active" (click)="collapseNavbar()">
                            <fa-icon icon="lock" [fixedWidth]="true"></fa-icon>
                            <span jhiTranslate="global.menu.account.password">Password</span>
                        </a>
                    </li>
                    <li *ngSwitchCase="true">
                        <a class="dropdown-item" (click)="logout()" id="logout">
                            <fa-icon icon="sign-out-alt" [fixedWidth]="true"></fa-icon>
                            <span jhiTranslate="global.menu.account.logout">Sign out</span>
                        </a>
                    </li>
                    <li *ngSwitchCase="false">
                        <a class="dropdown-item" (click)="login()" id="login">
                            <fa-icon icon="sign-in-alt" [fixedWidth]="true"></fa-icon>
                            <span jhiTranslate="global.menu.account.login">Sign in</span>
                        </a>
                    </li>
                    <li *ngSwitchCase="false">
                        <a class="dropdown-item" routerLink="account/register" routerLinkActive="active" (click)="collapseNavbar()">
                            <fa-icon icon="user-plus" [fixedWidth]="true"></fa-icon>
                            <span jhiTranslate="global.menu.account.register">Register</span>
                        </a>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</nav>
